Subject: Re: [bug#64551] [PATCH] svn-download: Use download-nar.

From: Christopher Baines <[email-masked]>
Date: Tue, 11 Jul 2023 09:34:28 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> Christopher Baines <[email-masked]> skribis:
>
>> This should help if there are issues fetching from the source repository.
>>
>> * guix/svn-download.scm (svn-fetch): Use download-nar and adjust accordingly.
>
> […]
>
>> +    (with-imported-modules
>> +        (source-module-closure '((guix build svn)
>> +                                 (guix build download-nar)
>> +                                 (guix build utils)))
>> +      (with-extensions (list guile-json guile-gnutls   ;for (guix swh)
>> +                             guile-lzlib)
>
> “;for (guix build download-nar)” rather.

I copied this comment from (guix git-download), and I think it makes
sense. There shouldn't be any need from (guix build download-nar) to
have guile-json and guile-gnutls, it even specifically avoids using
https for this reason.

I think why these extra inputs is indeed just to import (guix swh as
it's required by (guix build download).

> Otherwise LGTM, thanks!

Great, I've pushed this to tex-team-next now as I'm hoping this will
help fix ci.guix.gnu.org building tex-team-next.